Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Does anyone know where I can get a apache 2.4 package for centos 5/6?

When i run yum upgrade httpd

it returns with version: 2.2.3-53.el5.centos

I have these repo lists installed:

base                                                       
epel
extras
rpmforge                                                    
updates 

I understand I can download it from the website and run the ./configure but im sort of a newb so id rather just use yum.

share|improve this question
2  
Well, with how slow the CentOS team has been as of late, I wouldn't count on having an apache 2.4 package until, oh, sometime in 2015 or so. –  EEAA Feb 27 '12 at 3:46
3  
@ErikA, that's not CentOS team, that's redhat. CentOS just rebuilds redhat and have same package versions. –  rvs Feb 27 '12 at 8:30
    
If you really MUST be on the bleeding edge (which is pretty much where Apache 2.4 is right now) you may want to consider compiling Apache from source yourself and placing it in an isolated location (like /usr/local/apache-2.4/) so you can configure and test it. Apache 2.4 has lots of great features, but it's also going to need lots of work on your configuration to make it work under the new version. –  voretaq7 Mar 4 '12 at 4:09

4 Answers 4

up vote 3 down vote accepted

I think the solution is to create a RPM as described here: http://httpd.apache.org/docs/2.4/platform/rpm.html

share|improve this answer

Considering that even Fedora rawhide (their development version) currently has only Apache 2.2.x, don't hold your breath if you want to wait for 'official' RHEL/CentOS packages.

I would modify the RPM spec file and compile Apache 2.4.x from there, but before that I would ask from myself "Do I really need this version?".

share|improve this answer
    
The latest version of httpd for CentOS still does not have SNI support. –  Jordan Reiter Oct 18 '12 at 23:08

If you did not find a specific package version in your distribution repositories, you can try to look for one on the web. If no one has built this for you, you have no other choice but to install it from source.

share|improve this answer
    
I think building rpm would be better option than installing from source. It should not be too hard to modify distro's spec file. –  rvs Feb 27 '12 at 8:31
    
@rvs: Yes, it may be easier if the OP is familiar with it. –  Khaled Feb 27 '12 at 8:51

I prefer compiling the source code for this case.

This link is my step by step.

http://fajlinux.com.br/linux/compilando-e-configurando-o-apache-2-4/

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.